DO NOT UPGRADE Rated 1 out of 5 stars

This was obviously not tested to the fullest extent, and yet emails were sent out, articles were written in PCWORLD (of whom deleted my negative comment, POS mag).

Multiple issues reported such as high CPU, and Firefox (Windoze and Linux) freezing.

As a paying customer of this AND Xmarks, who still cannot get favicons to sync even 3 FF versions later, I would expect more.

Stick with 2.0.20.

This review is for a previous version of the add-on (2.0.20.1-signed). 

Sorry you don't like the new version, you can make LastPass work in 2.x mode by going here:

https://lastpass.com/change_ver.php